Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354141 - several problems found in failure handle logic
Summary: several problems found in failure handle logic
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: rpc
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Zhou Zhengping
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 01:38 UTC by Zhou Zhengping
Modified: 2017-01-03 11:23 UTC (History)
1 user (show)

Fixed In Version: 3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 11:23:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Zhou Zhengping 2016-07-10 01:38:32 UTC
Description of problem:
In function rpc_transport_unix_options_build, if the variable fpath has been set into dict successfully, bug the underlying set failed. The fpath will be freed by GF_FREE and be freed in dict_unref too which will cause free twice.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2016-07-10 01:44:48 UTC
REVIEW: http://review.gluster.org/14882 (rpc: fix several problems in failure handle logic) posted (#1) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)

Comment 2 Vijay Bellur 2016-07-14 03:05:21 UTC
REVIEW: http://review.gluster.org/14882 (rpc: fix several problems in failure handle logic) posted (#2) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)

Comment 3 Vijay Bellur 2016-07-14 21:14:31 UTC
COMMIT: http://review.gluster.org/14882 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit ab56ec1e99cd76d45b52d841e6b0009f94a3268b
Author: Zhou Zhengping <johnzzpcrystal@gmail.com>
Date:   Sun Jul 10 09:10:49 2016 -0400

    rpc: fix several problems in failure handle logic
    
    Once dynstr is set into a dict by function dict_set_dynstr, its free
    operation will be called by this dict when the dict is destroyed.
    
    Signed-off-by: Zhou Zhengping <johnzzpcrystal@gmail.com>
    
    Change-Id: Idd2bd19a041bcb477e1c897428ca1740fb75c5f3
    BUG: 1354141
    Reviewed-on: http://review.gluster.org/14882
    Tested-by: Zhou Zhengping <johnzzpcrystal@gmail.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>


Note You need to log in before you can comment on or make changes to this bug.